package CrownVicPoliceOnTrigger
{
	function armor::onTrigger(%db, %obj, %slot, %val)
	{
		//SLOT VALUES:
		//0: Left click		(Recognized by a vehicle)
		//1: ???
		//2: Jump			(only recognized while a passenger)
		//3: Crouch			(only recognized while a passenger)
		//4: Right click	(Seems to be recognized in a vehicle, but is for unmount)
		//
		//Val = 1   Activate
		//Val = 0   Release
		
		
		//Player has left-clicked, is mounted, and has no tool
		if(%obj.getClassName()$="Player" && %slot == 0 && %obj.isMounted() && %obj.currTool == -1)
		{
			//If mounted object is a CrownVicPolice, and the player is the driver
			%veh = %obj.getObjectMount();
			if(%veh.GetDatablock().getName() $= "CrownVicPoliceVehicle" && %obj.getMountNode() == 0)
			{
				if(%val)	//Start of click
				{
					%veh.playerStartedClickWhileInVehicle = true;
					%veh.holdTriggerSchedule = schedule(150, %veh, setCrownVicPoliceSiren, %veh, %veh.currentSiren + 1 + 10);
				}
				else if(%veh.playerStartedClickWhileInVehicle)//Release
				{
					%veh.playerStartedClickWhileInVehicle = false;
					cancel(%veh.holdTriggerSchedule);	//Cancel previous schedule, if it hasn't run; no longer holding
					if(%veh.triggerHeld == 1)	//End of a long hold
					{
						%veh.triggerHeld = 0;
						
						if(%veh.currentSiren !=0)
							setCrownVicPoliceSiren(%veh, %veh.currentSiren - 1);
					}
					else						//End of a short click
					{
						if(%veh.currentSiren !=0)
							setCrownVicPoliceSiren(%veh, 0);
						else
							setCrownVicPoliceSiren(%veh, 2);
					}
				}
			}
		}
		
		return Parent::onTrigger(%db,%obj,%slot,%val);
	}
};
activatePackage(CrownVicPoliceOnTrigger);
