function servercmdloopCrownVicPolicelights(%client, %pattern, %count, %freq)
{	
	//Before we do anything, make sure the client isn't trying to change the siren too rapidly.
	if(getSimTime() < %client.lastCVPIlightTime + 300)
	{
		return;	//Fewer than 300 milliseconds have passed since client sent a command. Ignore this one.
	}
	//If the above check did not activate, we're good to continue.
	%client.lastCVPIlightTime = getSimTime();	//Right now is when they sent the last command.	
	
	if(!isObject(%pl = %client.player) || !isObject(%veh = %pl.getObjectMount())) return;
	if(%veh.getDataBlock().getName() !$= "CrownVicPoliceVehicle" || %pl.getMountNode() > 1) return;
	
	if(%veh.lightPatternActive == 0)
	{
		%veh.lightPatternActive = 1;
		CrownVicPoliceVehicle.loopLights(%veh, %pattern, %count, %freq);
	}
	else
	{
		%veh.lightPatternActive = 0;
	}
}

function CrownVicPoliceVehicle::loopLights(%this, %veh, %pattern, %count, %freq)
{
	//%pattern:	[0-3] Argument to determine which light pattern we want to use
	//%count:	[1+ ] How long we want the pattern to run
	cancel(%veh.lightSchedule);	//Make sure it's not in the middle of activating lights
	if (!isObject(%veh)) return;	//If the car is gone, return. Do not pass Go. Do not collect $200.

	%pattern = (%pattern $= "" ? 0 : %pattern);		//Default values
	%count = (%count $= "" ? 8 : %count);
	%freq = (%freq < 10 ? 25 : %freq);
	
	if(%veh.lightPatternActive == 0)		//Clear it up and schedule nothing. 
	{												//TO STOP LOOP: lightPatternActive = 0
		%veh.setNodeColor(headlightAR1, "1 1 0.9 1");
		%veh.setNodeColor(headlightAL1, "1 1 0.9 1");
		%this.headlights(%veh, "restore");
		hideNodeString(%veh, %this.lightNodes);
		setCrownVicPoliceSiren(%veh, 0);
		%veh.mountedLightBot[7].setMountedLight(none);
		return;
	}
	
	if(%veh.lightPatternActive > 0)		//These lights occur with every pattern, so always schedule them
	{
		%veh.unhidenode(headlightAR1);
		%veh.unhidenode(headlightAL1);
		%veh.setNodeColor(headlightAR1, "1 1 0.9 1");
		%veh.setNodeColor(headlightAL1, "0.5 0.5 0.45 1");
		%veh.schedule(%freq*10, setNodeColor, headlightAR1, "0.5 0.5 0.45 1");
		%veh.schedule(%freq*10, setNodeColor, headlightAL1, "1 1 0.9 1");

		%veh.unhideNode(LcommonA);
		%veh.unhideNode(LcommonAF);
		%veh.hideNode(LcommonB);
		%veh.hideNode(LcommonBF);
		%veh.schedule(%freq*10, unhideNode, LcommonB);
		%veh.schedule(%freq*10, unhideNode, LcommonBF);
		%veh.schedule(%freq*10, hideNode, LcommonA);
		%veh.schedule(%freq*10, hideNode, LcommonAF);
	}

	%l = %veh.lightbartype;

	if(%l $= "top")
	{
		switch(%pattern)
		{
			case 0:
			%veh.mountedLightBot[7].setMountedLight(CrownVicPoliceRedLight);
			%veh.unhideNode(LtopaltA);
			%veh.unhideNode(LtopaltAF);
			%veh.hideNode(LtopaltB);
			%veh.hideNode(LtopaltBF);
			%veh.schedule(%freq*5, hideNode, LtopaltA);
			%veh.schedule(%freq*5, hideNode, LtopaltAF);
			%veh.mountedLightBot[7].schedule(%freq*10, setMountedLight, CrownVicPoliceBlueLight);
			%veh.schedule(%freq*10, unhideNode, LtopaltB);
			%veh.schedule(%freq*10, unhideNode, LtopaltBF);
			%veh.schedule(%freq*15, hideNode, LtopaltB);
			%veh.schedule(%freq*15, hideNode, LtopaltBF);

			case 1:
				switch(%veh.lightpatternalt)
				{
					case 0:
					%veh.lightpatternalt = 1;
					%veh.mountedLightBot[7].setMountedLight(CrownVicPoliceRedLight);
					%veh.unhideNode(Ltopdual0);
					%veh.unhideNode(Ltopdual0F);
					%veh.hideNode(Ltopdual1);
					%veh.hideNode(Ltopdual1F);
					%veh.hideNode(Ltopdual2);
					%veh.hideNode(Ltopdual2F);
					%veh.unhideNode(Ltopdual3);
					%veh.unhideNode(Ltopdual3F);
					%veh.mountedLightBot[7].schedule(%freq*6.6666, setMountedLight, CrownVicPoliceBlueLight);
					%veh.schedule(%freq*6.6666, hideNode, Ltopdual0);
					%veh.schedule(%freq*6.6666, hideNode, Ltopdual0F);
					%veh.schedule(%freq*6.6666, unhideNode, Ltopdual1);
					%veh.schedule(%freq*6.6666, unhideNode, Ltopdual1F);
					%veh.schedule(%freq*6.6666, unhideNode, Ltopdual2);
					%veh.schedule(%freq*6.6666, unhideNode, Ltopdual2F);
					%veh.schedule(%freq*6.6666, hideNode, Ltopdual3);
					%veh.schedule(%freq*6.6666, hideNode, Ltopdual3F);
					%veh.mountedLightBot[7].schedule(%freq*13.3333, setMountedLight, CrownVicPoliceRedLight);
					%veh.schedule(%freq*13.3333, unhideNode, Ltopdual0);
					%veh.schedule(%freq*13.3333, unhideNode, Ltopdual0F);
					%veh.schedule(%freq*13.3333, hideNode, Ltopdual1);
					%veh.schedule(%freq*13.3333, hideNode, Ltopdual1F);
					%veh.schedule(%freq*13.3333, hideNode, Ltopdual2);
					%veh.schedule(%freq*13.3333, hideNode, Ltopdual2F);
					%veh.schedule(%freq*13.3333, unhideNode, Ltopdual3);
					%veh.schedule(%freq*13.3333, unhideNode, Ltopdual3F);
					%veh.schedule(%freq*20, hideNode, Ltopdual0);
					%veh.schedule(%freq*20, hideNode, Ltopdual0F);
					%veh.schedule(%freq*20, hideNode, Ltopdual3);
					%veh.schedule(%freq*20, hideNode, Ltopdual3F);
					
					case 1:
					%veh.lightpatternalt = 0;
					%veh.mountedLightBot[7].setMountedLight(CrownVicPoliceBlueLight);
					%veh.hideNode(Ltopdual0);
					%veh.hideNode(Ltopdual0F);
					%veh.unhideNode(Ltopdual1);
					%veh.unhideNode(Ltopdual1F);
					%veh.unhideNode(Ltopdual2);
					%veh.unhideNode(Ltopdual2F);
					%veh.hideNode(Ltopdual3);
					%veh.hideNode(Ltopdual3F);
					%veh.mountedLightBot[7].schedule(%freq*6.6666, setMountedLight, CrownVicPoliceRedLight);
					%veh.schedule(%freq*6.6666, unhideNode, Ltopdual0);
					%veh.schedule(%freq*6.6666, unhideNode, Ltopdual0F);
					%veh.schedule(%freq*6.6666, hideNode, Ltopdual1);
					%veh.schedule(%freq*6.6666, hideNode, Ltopdual1F);
					%veh.schedule(%freq*6.6666, hideNode, Ltopdual2);
					%veh.schedule(%freq*6.6666, hideNode, Ltopdual2F);
					%veh.schedule(%freq*6.6666, unhideNode, Ltopdual3);
					%veh.schedule(%freq*6.6666, unhideNode, Ltopdual3F);
					%veh.mountedLightBot[7].schedule(%freq*13.3333, setMountedLight, CrownVicPoliceBlueLight);
					%veh.schedule(%freq*13.3333, hideNode, Ltopdual0);
					%veh.schedule(%freq*13.3333, hideNode, Ltopdual0F);
					%veh.schedule(%freq*13.3333, unhideNode, Ltopdual1);
					%veh.schedule(%freq*13.3333, unhideNode, Ltopdual1F);
					%veh.schedule(%freq*13.3333, unhideNode, Ltopdual2);
					%veh.schedule(%freq*13.3333, unhideNode, Ltopdual2F);
					%veh.schedule(%freq*13.3333, hideNode, Ltopdual3);
					%veh.schedule(%freq*13.3333, hideNode, Ltopdual3F);
					%veh.schedule(%freq*20, hideNode, Ltopdual1);
					%veh.schedule(%freq*20, hideNode, Ltopdual1F);
					%veh.schedule(%freq*20, hideNode, Ltopdual2);
					%veh.schedule(%freq*20, hideNode, Ltopdual2F);
				}

			case 2:
			%veh.mountedLightBot[7].setMountedLight(CrownVicPoliceRedLight);
			%veh.unhideNode(Ltopdual0);
			%veh.unhideNode(Ltopdual0F);
			%veh.hideNode(Ltopdual1);
			%veh.hideNode(Ltopdual1F);
			%veh.unhideNode(Ltopdual2);
			%veh.unhideNode(Ltopdual2F);
			%veh.hideNode(Ltopdual3);
			%veh.hideNode(Ltopdual3F);
			%veh.mountedLightBot[7].schedule(%freq*10, setMountedLight, CrownVicPoliceBlueLight);
			%veh.schedule(%freq*10, hideNode, Ltopdual0);
			%veh.schedule(%freq*10, hideNode, Ltopdual0F);
			%veh.schedule(%freq*10, unhideNode, Ltopdual1);
			%veh.schedule(%freq*10, unhideNode, Ltopdual1F);
			%veh.schedule(%freq*10, hideNode, Ltopdual2);
			%veh.schedule(%freq*10, hideNode, Ltopdual2F);
			%veh.schedule(%freq*10, unhideNode, Ltopdual3);
			%veh.schedule(%freq*10, unhideNode, Ltopdual3F);

			case 3:
			%veh.mountedLightBot[7].setMountedLight(CrownVicPoliceRedLight);
			%veh.unhideNode(Ltopdual0);
			%veh.unhideNode(Ltopdual0F);
			%veh.unhideNode(Ltopdual1);
			%veh.unhideNode(Ltopdual1F);
			%veh.hideNode(Ltopdual2);
			%veh.hideNode(Ltopdual2F);
			%veh.hideNode(Ltopdual3);
			%veh.hideNode(Ltopdual3F);
			%veh.mountedLightBot[7].schedule(%freq*5, setMountedLight, CrownVicPoliceBlueLight);
			%veh.schedule(%freq*5, hideNode, Ltopdual0);
			%veh.schedule(%freq*5, hideNode, Ltopdual0F);
			%veh.schedule(%freq*5, hideNode, Ltopdual1);
			%veh.schedule(%freq*5, hideNode, Ltopdual1F);
			%veh.schedule(%freq*5, unhideNode, Ltopdual2);
			%veh.schedule(%freq*5, unhideNode, Ltopdual2F);
			%veh.schedule(%freq*5, unhideNode, Ltopdual3);
			%veh.schedule(%freq*5, unhideNode, Ltopdual3F);
			%veh.mountedLightBot[7].schedule(%freq*10, setMountedLight, CrownVicPoliceRedLight);
			%veh.schedule(%freq*10, unhideNode, Ltopdual0);
			%veh.schedule(%freq*10, unhideNode, Ltopdual0F);
			%veh.schedule(%freq*10, unhideNode, Ltopdual1);
			%veh.schedule(%freq*10, unhideNode, Ltopdual1F);
			%veh.schedule(%freq*10, hideNode, Ltopdual2);
			%veh.schedule(%freq*10, hideNode, Ltopdual2F);
			%veh.schedule(%freq*10, hideNode, Ltopdual3);
			%veh.schedule(%freq*10, hideNode, Ltopdual3F);
			%veh.mountedLightBot[7].schedule(%freq*15, setMountedLight, CrownVicPoliceBlueLight);
			%veh.schedule(%freq*15, hideNode, Ltopdual0);
			%veh.schedule(%freq*15, hideNode, Ltopdual0F);
			%veh.schedule(%freq*15, hideNode, Ltopdual1);
			%veh.schedule(%freq*15, hideNode, Ltopdual1F);
			%veh.schedule(%freq*15, unhideNode, Ltopdual2);
			%veh.schedule(%freq*15, unhideNode, Ltopdual2F);
			%veh.schedule(%freq*15, unhideNode, Ltopdual3);
			%veh.schedule(%freq*15, unhideNode, Ltopdual3F);
			%veh.schedule(%freq*20, hideNode, Ltopdual2);
			%veh.schedule(%freq*20, hideNode, Ltopdual2F);
			%veh.schedule(%freq*20, hideNode, Ltopdual3);
			%veh.schedule(%freq*20, hideNode, Ltopdual3F);
		}
	}

	


		
		
	
	if(%count > 1)	//Time to schedule more lights. We'll be back here soon if lightPatternActive > 0.
	{
		%veh.lightSchedule = %this.schedule(%freq*20, loopLights, %veh, %pattern, %count-1, %freq);
	}
	else
	{
		switch(%pattern)
		{
			case 0:
				%veh.lightSchedule = %this.schedule(%freq*20, loopLights, %veh, 1, 8, %freq);
			case 1:
				%veh.lightSchedule = %this.schedule(%freq*20, loopLights, %veh, 2, 8, %freq);
			case 2:
				%veh.lightSchedule = %this.schedule(%freq*20, loopLights, %veh, 3, 8, %freq);
			case 3:
				%veh.lightSchedule = %this.schedule(%freq*20, loopLights, %veh, 0, 8, %freq);
		}
	}
}