function CrownVicPoliceVehicle::VehicleEditHelper(%this, %veh, %c, %arg)
{	
	if(%arg $= "hood")
	{
		if(isObject(%c.player) && %c.player.isMounted() && %c.player.getMountNode() == 0)
			return CrownVicPolicevehicle.hood(%veh, %c, 2);
		else
			return %c.chatMessage("\c3You must be in the driver's seat to pop the hood.");
	}
	
	if(getTrustLevel(%c, %veh) < 2)
		return %c.chatMessage("\c3You can't change a vehicle without the owner's trust.");
	
	%veh.speed = vectorLen(%veh.getVelocity());
	if(%veh.speed > 2)	
		return %c.chatMessage("\c3The vehicle can't be customized while in motion.");
	
	if(%arg $= "color")
	{
		if(%veh.prohibitPaint)
		{
			return %c.chatMessage("\c3The vehicle can't be painted with this livery.");
		}
		%c.chatMessage("<color:00487F>-----\c7Crown Vic P71 Factory Paint<color:00487F>-----");
		%c.chatMessage("    <color:888888>Usage: <color:5555FF>/veh _ \c6with by one of the numbers below. e.g. '<color:5555FF>/veh 1\c6'");
		
		for(%i = 1; %i <= %this.numFactoryColors; %i++)
		{
			%c.chatMessage("        \c6" @ %i @ ":   <color:" @ getWord(%this.factoryColor[%i], 0) @ ">[" @ getWords(%this.factoryColor[%i], 1) @ "]");
		}
		return;
	}

	if(%arg $= "controls")
	{
		%c.chatMessage("<color:00487F>-----\c4Police Interceptor Controls<color:00487F>-----");
		%c.chatMessage("    \c5Shift brick UP\c8 - \c6 Toggle emergency lights.");
		%c.chatMessage("    \c0Shift brick FORWARD\c8 - \c6 Siren: Wail");
		%c.chatMessage("    \c0Shift brick RIGHT\c8 - \c6 Siren: Yelp");
		%c.chatMessage("    \c0Shift brick LEFT\c8 - \c6 Siren: Phaser");
		%c.chatMessage("    \c0Shift brick DOWN\c8 - \c6 Siren: Off");
		%c.chatMessage("    \c4Click\c8 - \c6 Toggle siren");
		%c.chatMessage("    \c4Click and hold\c8 - \c6 Horn / alter siren");

		return;
	}

	if(%arg $= "livery")
	{
		%c.chatMessage("<color:00487F>-----\c0Police Interceptor Liveries<color:00487F>-----");
		%c.chatMessage("    <color:888888>Usage: <color:5555FF>/veh _ \c6with by one of the numbers below. e.g. '<color:5555FF>/veh none\c6'");
		%c.chatMessage("        <color:888888>U \c8- \c6 Unmarked. A little less conspicuous.");
		%c.chatMessage("        \c8B\c6W \c8- \c6 Black and white.");
		%c.chatMessage("        \c6Wh \c8- \c6 White with black accent.");
		%c.chatMessage("        <color:0064FF>Bl \c8- \c6 White with blue accent.");

		return;
	}
	
	if(strIsNum(%arg))
	{
		if(%veh.prohibitPaint)
		{
			return %c.chatMessage("\c3The vehicle can't be painted with this livery.");
		}
		
		if(%arg <= %this.numFactoryColors && %arg > 0)
		{
			return %veh.setNodeColor("ALL", getColorF(getWord(%this.factoryColor[%arg], 0)));
		}
		
		else
		{
			return %c.chatMessage("\c3That is not a valid color.");
		}
	}

	else
	{
		%veh.lightPatternActive = 0;
		switch$(%arg)
		{
			case "U":
				%veh.prohibitPaint = 0;
				%veh.setNodeColor("ALL", "1 1 1 1");
				%veh.hideNode(pushbar);
				%veh.hideNode(Ltop);
				//%veh.unhideNode(Lwin);
				%veh.lightbartype = "win";

				hideNodeString(%veh, %this.groupBnodes);
				hideNodeString(%veh, %this.groupCnodes);
				hideNodeString(%veh, %this.groupDnodes);
				unhideNodeString(%veh, %this.groupAnodes);
				return;

			case "BW":
				%veh.unhideNode(pushbar);
				%veh.unhideNode(Ltop);
				%veh.hideNode(Lwin);
				%veh.lightbartype = "top";

				hideNodeString(%veh, %this.groupAnodes);
				hideNodeString(%veh, %this.groupCnodes);
				hideNodeString(%veh, %this.groupDnodes);
				unhideNodeString(%veh, %this.groupBnodes);

				%veh.prohibitPaint = 0;
				%veh.setNodeColor("ALL", "0.1 0.1 0.1 1");
				%veh.prohibitPaint = 1;
				colorNodeString(%veh, %this.groupBnodesColor, "1 1 1 1");
				return;

			case "Wh":
				%veh.unhideNode(pushbar);
				%veh.unhideNode(Ltop);
				%veh.hideNode(Lwin);
				%veh.lightbartype = "top";

				hideNodeString(%veh, %this.groupAnodes);
				hideNodeString(%veh, %this.groupBnodes);
				hideNodeString(%veh, %this.groupDnodes);
				unhideNodeString(%veh, %this.groupCnodes);
				
				%veh.prohibitPaint = 0;
				%veh.setNodeColor("ALL", "1 1 1 1");
				%veh.prohibitPaint = 1;
				colorNodeString(%veh, %this.groupCnodesColor, "0.1 0.1 0.1 1");
				return;

			case "Bl":
				%veh.unhideNode(pushbar);
				%veh.unhideNode(Ltop);
				%veh.hideNode(Lwin);
				%veh.lightbartype = "top";

				hideNodeString(%veh, %this.groupAnodes);
				hideNodeString(%veh, %this.groupBnodes);
				hideNodeString(%veh, %this.groupCnodes);
				unhideNodeString(%veh, %this.groupDnodes);
				
				%veh.prohibitPaint = 0;
				%veh.setNodeColor("ALL", "1 1 1 1");
				%veh.prohibitPaint = 1;
				colorNodeString(%veh, %this.groupDnodesColor, "0 0.391 1 1");
				return;
		}
	}
	
	
	
	%c.chatMessage("\c0-----\c8Crown Victoria \c0Police <color:00AAFF>Interceptor \c8- \c6Vehicle Edit Helper\c4-----");
	%c.chatMessage("    <color:888888>Usage: <color:5555FF>/veh __ \c6with one of the words below.");
	%c.chatMessage("        \c4Controls \c8- \c6Learn how to use the lights and sirens.");
	%c.chatMessage("        <color:5555FF>Livery \c8- \c6View alternate paint schemes.");
	if(!%veh.prohibitPaint)
		%c.chatMessage("        <color:5555FF>Color \c8- \c6View factory paint colors.");
	if(isObject(%c.player) && %c.player.isMounted() && %c.player.getMountNode() == 0)
		%c.chatMessage("        <color:5555FF>Hood \c8- \c6Pop the hood.");
}