datablock TSShapeConstructor(CrownVicDTS)
{
	baseShape  = "./shapes/CrownVic.dts";
	sequence0  = "./shapes/steering.dsq steering";
	sequence1  = "./shapes/front00.dsq front00";
	sequence2  = "./shapes/front01.dsq front01";
	sequence3  = "./shapes/front10.dsq front10";
	sequence4  = "./shapes/front11.dsq front11";
	sequence5  = "./shapes/rear00.dsq rear00";
	sequence6  = "./shapes/rear01.dsq rear01";
	sequence7  = "./shapes/rear10.dsq rear10";
	sequence8  = "./shapes/rear11.dsq rear11";
	sequence9  = "./shapes/ht00.dsq ht00";
	sequence10  = "./shapes/ht01.dsq ht01";
	sequence11  = "./shapes/ht10.dsq ht10";
	sequence12  = "./shapes/ht11.dsq ht11";
};

datablock WheeledVehicleData(CrownVicLXvehicle)
{
	category = "Vehicles";
	uiName = "Crown Vic LX";

	handsOnVehicle = 1;
	usesVehicleEditHelper = 1;
	TeneksiDoors1 = 1;
	hasScriptedHeadlights = 1;

	paintableNodes = "bodyp bodyrearp bumper0 bumper1 fender0 fender1 fender0LX fender1LX hood grillp" SPC
		"door0LXp door1LXp door2LXp door3LXp trunkLXp";
		
	interiorNodes = "interior interiordash steeringwheel door0interior door1interior door2interior door3interior";
	
	unpaintableNodes = "headlight headlightAR0 headlightAL0 headlightBR0 headlightBL0 engine" SPC
		"steeringwheelNP body bodyLX dash door0LX door1LX door2LX door3LX trunkLX bumper0LX bumper1LX grillLX" SPC
		"brakeR0 brakeL0 brakeC0 reverseR0 reverseL0 dials dialsg";
		
	windows["ext", "add"] = "window0a window1a window2a window3a windshielda window4a";
	windows["ext", "sub"] = "window0b window1b window2b window3b windshieldb window4b";
	windows["int", "add"] = "awindow0a awindow1a awindow2a awindow3a awindshielda awindow4a";
	windows["int", "sub"] = "awindow0b awindow1b awindow2b awindow3b awindshieldb awindow4b";
	windowcolor["ext", "add"] = "0.1 0.16 0.2 1";
	windowcolor["ext", "sub"] = "0.6 0.6 0.55 1";
	windowcolor["int", "add"] = "0.15 0.2 0.2 1";
	windowcolor["int", "sub"] = "0.15 0.15 0.15 1";

	numFactoryColors = 15;
	factoryColor[1] = "807065 Arizona Beige";
	factoryColor[2] = "958575 Harvest Gold";
	factoryColor[3] = "520815 Dark Toreador Red";
	factoryColor[4] = "053525 Tropic Green";
	factoryColor[5] = "153850 Norsea Blue";
	factoryColor[6] = "101750 Dark Blue";
	factoryColor[7] = "152035 Deep Wedgewood Blue";
	factoryColor[8] = "152275 Royal Blue";
	factoryColor[9] = "2040A0 Ultra Blue";
	factoryColor[10] = "7090C0 Light Blue";
	factoryColor[11] = "A0AAC5 Light Ice Blue";
	factoryColor[12] = "2A3037 Midnight Gray";
	factoryColor[13] = "4A4C53 Medium Titanium";
	factoryColor[14] = "908A88 Silver Birch";
	factoryColor[15] = "88807A Smokestone";
	
	numInteriorColors = 3;
	interiorColor[1] = "9F9082 Parchment";
	interiorColor[2] = "706C62 Flint";
	interiorColor[3] = "3F3F3F Charcoal";
	
	isInteractive = true;
	iNumZones = 6;
	iZone[0] = "-5 -0.47 -0.3 -1.2 1.75 2.25";
	iZoneScript[0] = "door0Clicked";
	iZone[1] = "1.2 -0.47 -0.3 5 1.75 2.25";
	iZoneScript[1] = "door1Clicked";
	iZone[2] = "-5 -2.2 -0.3 -1.2 -0.6 2.25";
	iZoneScript[2] = "door2Clicked";
	iZone[3] = "1.2 -2.2 -0.3 5 -0.6 2.25";
	iZoneScript[3] = "door3Clicked";
	iZone[4] = "-1.7 1.8 0.7 1.7 5 2.0";
	iZoneScript[4] = "hoodClicked";
	iZone[5] = "-1.5 -5 0.4 1.5 -3.5 2.0";
	iZoneScript[5] = "trunkClicked";

	displayName = "";
	shapeFile = "./shapes/CrownVic.dts";
	emap = true;
	minMountDist = 3;

	massCenter = "0 0 0.1";

	engineTorque = 1777;
	engineBrake = 888;
	brakeTorque = 3500;
	maxWheelSpeed = 55;

	rollForce = 0;
	yawForce = 0;
	pitchForce = 0;
	rotationalDrag = 1;

	rideable = true;
	lookUpLimit = 0.6;
	lookDownLimit = 0.5;
 
	numMountPoints = 4;
	mountThread[0] = "sit";
	mountThread[1] = "sit";
	mountThread[2] = "sit";
	mountThread[3] = "sit";

	paintable = true;

	maxDamage = 300.00;
	destroyedLevel = 400.00;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	maxSteeringAngle = 0.85;
	integration = 4;
	tireEmitter = CrownVicTireEmitter;

	cameraRoll = false;
	cameraMaxDist = 10;
	cameraOffset = 3.5;
	cameraTilt = 0.25;

	cameraLag = 0.0;
	cameraDecay = 0.75;
	collisionTol = 0.1;
	contactTol = 0.1;

	useEyePoint = false;	

	defaultTire = CrownVicLXtire;
	defaultSpring = CrownVicLXspring;

	numWheels = 4;

	mass = 300;
	density = 5.0;
	drag = 1.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;
	softImpactSpeed = 10;
	hardImpactSpeed = 15;
	groundImpactMinSpeed = 10.0;

	steeringAutoReturn = true;
	steeringAutoReturnRate = 0.05;
	steeringAutoReturnMaxSpeed = 0.1;
	steeringUseStrafeSteering = true;
	steeringStrafeSteeringRate = 0.05;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
   
   

	numDmgEmitterAreas = 1;
	damageEmitterOffset[0] = "0 3.5 0";
   
	damageEmitter[0] = CrownVicDamageLV1Emitter;
	damageLevelTolerance[0] = 0.3333;

	damageEmitter[1] = CrownVicDamageLV2Emitter;
	damageLevelTolerance[1] = 0.6666;

	damageEmitter[2] = VehicleBurnEmitter;
	damageLevelTolerance[2] = 0.99;

	damageEmitter[3] = VehicleBurnEmitter;
	damageLevelTolerance[3] = 1.0;



	initialExplosionProjectile = CrownVicExplosionProjectile;
	initialExplosionOffset = 0;

	burnTime = 4000;

	finalExplosionProjectile = CrownVicFinalExplosionProjectile;
	finalExplosionOffset = 0.5;



	minRunOverSpeed    = 4;
	runOverDamageScale = 8;
	runOverPushScale   = 1.2;

	protectPassengersBurn   = false;
	protectPassengersRadius = true;
	protectPassengersDirect = false;
};