function CrownVicLXvehicle::door0Clicked(%this, %veh, %client, %offset, %position, %vector)
{
	if(%client.player.isMounted() || vectorDist(%position, %client.player.getEyeTransform()) < 5)
		return CrownVicLXvehicle.doors(%veh, %client, 0, -1);
}

function CrownVicLXvehicle::door1Clicked(%this, %veh, %client, %offset, %position, %vector)
{
	if(%client.player.isMounted() || vectorDist(%position, %client.player.getEyeTransform()) < 5)
		return CrownVicLXvehicle.doors(%veh, %client, 1, -1);
}

function CrownVicLXvehicle::door2Clicked(%this, %veh, %client, %offset, %position, %vector)
{
	if(%client.player.isMounted() || vectorDist(%position, %client.player.getEyeTransform()) < 5)
		return CrownVicLXvehicle.doors(%veh, %client, 2, -1);
}

function CrownVicLXvehicle::door3Clicked(%this, %veh, %client, %offset, %position, %vector)
{
	if(%client.player.isMounted() || vectorDist(%position, %client.player.getEyeTransform()) < 5)
		return CrownVicLXvehicle.doors(%veh, %client, 3, -1);
}

function CrownVicLXvehicle::hoodClicked(%this, %veh, %client, %offset, %position, %vector)
{
	if(%client.player.isMounted() || vectorDist(%position, %client.player.getEyeTransform()) < 5)
		return CrownVicLXvehicle.hood(%veh, %client, 0);
}

function CrownVicLXvehicle::trunkClicked(%this, %veh, %client, %offset, %position, %vector)
{
	if(%client.player.isMounted() || vectorDist(%position, %client.player.getEyeTransform()) < 5)
		return CrownVicLXvehicle.trunk(%veh, %client, 0);
}

function CrownVicLXvehicle::hood(%this, %veh, %client, %action)
{
	%time = getSimTime();		//Prevent rapid activation. Each door has its own timer.
	if((%time - %veh.doortime[hood]) <= 500 && %action == 0)
		return;
	%veh.doortime[hood] = %time;
	
	if(%veh.hood < 0)	//If the hood's state is negative (the hood is broken off), stop.
		return;

	%veh.speed = vectorLen(%veh.getVelocity());
	if(!%veh.hood && (%action == 2 || (isObject(%client.player) && !%client.player.isMounted() && %veh.speed < 1)))	//Open the hood
	{	//Hood is closed, and either action == 2 (called by a script) or: the player is outside the vehicle AND the vehicle is stopped.
		if(%veh.trunk == 0)
		{
			%veh.playthread(1, ht10);
		}
		else
		{
			%veh.playthread(1, ht11);
		}
		%veh.playAudio(3, CrownVichoodopen);
		%veh.hood = !%veh.hood;
	}
	else if(%veh.hood)	//Close it. 
	{
		if(%action == 1)
		{
			if(%veh.trunk == 0)
			{
				%veh.playthread(1, ht00);
			}
			else
			{
				%veh.playthread(1, ht01);
			}
			%veh.playAudio(3, CrownVichoodclose);
			%veh.hood = !%veh.hood;
		}
		else
		{
			%this.schedule(30, hood, %veh, %client, 1);
		}
		//Scheduling the script in this way makes it so that the car is not pushed by clicking to close.
	}
}

function CrownVicLXvehicle::trunk(%this, %veh, %client, %action)
{
	%time = getSimTime();		//Prevent rapid activation. Each door has its own timer.
	if((%time - %veh.doortime[trunk]) <= 500 && %action == 0)
		return;
	%veh.doortime[trunk] = %time;
	
	if(%action == 0 && !%veh.trunk && !%client.player.isMounted())	//Open it
	{
		if(%veh.hood == 0)
		{
			%veh.playthread(1, ht01);
		}
		else
		{
			%veh.playthread(1, ht11);
		}
		
		%veh.playAudio(2, CrownVictrunkopen);
		%veh.trunk = !%veh.trunk;
	}
	else if(%veh.trunk)	//Close it
	{
		if(%action == 1)
		{
			if(%veh.hood == 0)
			{
				%veh.playthread(1, ht00);
			}
			else
			{
				%veh.playthread(1, ht10);
			}
			
			%veh.playAudio(2, CrownVictrunkclose);
			%veh.trunk = !%veh.trunk;
		}
		else
		{
			%this.schedule(30, trunk, %veh, %client, 1);
		}
		//Scheduling the script in this way makes it so that the car is not pushed by clicking to close.
	}
}

function CrownVicLXvehicle::doors(%this, %veh, %client, %target, %action)
{
	%player = %client.player;
	%veh.speed = vectorLen(%veh.getVelocity());
	
	if(%action == -1)
	{
		%player.clickedCarDoor = true;
		//Some parts of this function are only meant for when the player is actively clicking the door.
		//At other times, a script may control the door, and it will have a specific %action variable.
		//For example, we don't want an automatically-opened door to mount the player unless the player unclicks.
		
		//Reassign %action if the target door's state is 0 (closed) or 1 (open)
		//States higher than this indicate that the door is broken or missing and cannot be used (not implemented)
		if(%veh.door[%target] <= 1)
		{
			%action = !%veh.door[%target];	//If it's closed, open it, and vice versa
		}
	}
	else
	{
		%player.clickedCarDoor = false;	//If the %action was anything other than -1, the player didn't click a door.
	}
	
	%time = getSimTime();		//Prevent rapid activation. Each door has its own timer.
	if((%time - %veh.doortime[%target]) <= 500 && %player.clickedCarDoor)
		return;
	%veh.doortime[%target] = %time;
	
	if(%action == 1)	//Open the door
	{		
		if(%veh.getMountNodeObject(%target) || (isObject(%player) && %player.isMounted()) || %veh.speed > 20)
		{
			return;
		}
		if(%target < 2)
			%veh.playAudio(2, CrownVicdooropen);
		else
			%veh.playAudio(3, CrownVicdooropen);
		
		switch(%target)
		{
			case 0:
				if(%veh.door[1] == 0)
				{
					%veh.playthread(2, front10);
				}
				else
				{
					%veh.playthread(2, front11);
				}
			case 1:
				if(%veh.door[0] == 0)
				{
					%veh.playthread(2, front01);
				}
				else
				{
					%veh.playthread(2, front11);
				}
			case 2:
				if(%veh.door[3] == 0)
				{
					%veh.playthread(3, rear10);
				}
				else
				{
					%veh.playthread(3, rear11);
				}
			case 3:
				if(%veh.door[2] == 0)
				{
					%veh.playthread(3, rear01);
				}
				else
				{
					%veh.playthread(3, rear11);
				}
		}
		
		%veh.setNodeColor(awindow @ %target @ b, %this.windowcolor["ext", "sub"]);
		
		%veh.door[%target] = 1;
		
		if(%target < 4 && %player.clickedCarDoor && !%player.isMounted())
		{
			//The player clicked on a door (NOT hood or trunk), and is not already inside, so...
			//If the player holds down the mouse button for 250 MS, we'll mount them to the car.
			//If they continue holding for another 250 MS, we'll close the door behind them.
			//Schedules are cancelled if the player releases mousebutton (see parented onTrigger below)
			%player.clickToMountSchedule = %this.schedule(250, doors, %veh, %client, %target, 2);
		}
	}
	else if(%action == 0)	//Close the door, or, clicking on an open door
	{
		if(isObject(%player) && !%player.isMounted() && !%player.enteringCarDoor && %player.clickedCarDoor)
		{
			%player.enteringCarDoor = %target + 1;	//Indication of which door they may intend to enter.
			%player.enteringCarCar = %veh;		//Schedule player to be mounted to vehicle unless they release.
			%player.clickToMountSchedule = %this.schedule(250, doors, %veh, %client, %target, 2);
			return;		//Don't close the door yet; we must wait to see if the player holds to enter the vehicle.
		}
		
		if(%target < 2)
			%veh.playAudio(2, CrownVicdoorclose);
		else
			%veh.playAudio(3, CrownVicdoorclose);
		
		switch(%target)
		{
			case 0:
				if(%veh.door[1] == 0)
				{
					%veh.playthread(2, front00);
				}
				else
				{
					%veh.playthread(2, front01);
				}
			case 1:
				if(%veh.door[0] == 0)
				{
					%veh.playthread(2, front00);
				}
				else
				{
					%veh.playthread(2, front10);
				}
			case 2:
				if(%veh.door[3] == 0)
				{
					%veh.playthread(3, rear00);
				}
				else
				{
					%veh.playthread(3, rear01);
				}
			case 3:
				if(%veh.door[2] == 0)
				{
					%veh.playthread(3, rear00);
				}
				else
				{
					%veh.playthread(3, rear10);
				}
		}
		
		%veh.setNodeColor(awindow @ %target @ b, %veh.windowcolor["int", "sub"]);
		
		%veh.door[%target] = 0;
	}
	else if(%action == 2)
	{
		if(!%veh.getMountNodeObject(%target) && !%player.isMounted() && %veh.speed <= 20)
		{
			%veh.mountObject(%player, %target);
			%player.clickToMountSchedule = %this.schedule(250, doors, %veh, %client, %target, 0);
		}
	}
}

function CrownVicLXvehicle::horn(%this, %veh, %val)
{
	if(%val)
	{
		%time = getSimTime();
		if((%time - %veh.honktime) <= 100)
			return;
		%veh.honktime = %time;
		
		%veh.playAudio(2, CrownVichornloop);
		%veh.hornactive = 1;
		%veh.hornStopSchedule = %this.schedule(500, horn, %veh, 0);
	}
	else if(%veh.hornactive)
	{
		%veh.honktime = getSimTime();
		%veh.playAudio(2, CrownVichornstop);
		%veh.hornactive = 0;
		cancel(%veh.hornStopSchedule);
	}
}
