package TeneksiDoorsPackage
{
	function armor::onTrigger(%db, %obj, %slot, %val)
	{
		//SLOT VALUES:
		//0: Left click		(Recognized by a vehicle)
		//1: ???
		//2: Jump			(only recognized while a passenger)
		//3: Crouch			(only recognized while a passenger)
		//4: Right click	(Seems to be recognized in a vehicle, but is for unmount)
		//
		//Val = 1   Activate
		//Val = 0   Release
		
		
		//Player is not in a vehicle, and just released the left mouse button.
		if(%obj.getClassName()$="Player" && %slot == 0)
		{
			if(%val == 0)
			{
				cancel(%obj.clickToMountSchedule);	//Cancel scripts related to doors function, just in case.
				if(%obj.enteringCarDoor > 0)		//They are entering a car door which is already open, so close it.
				{
					if(!%obj.isMounted())	//If they're still outside the vehicle at this point, close the door.
						%obj.enteringCarCar.getDatablock().doors(%obj.enteringCarCar, %obj.client, %obj.enteringCarDoor-1, 0);
					%obj.enteringCarDoor = 0;	//Whether the door is closed or not, the player is no longer intending to enter.
				}
			}
			
			%veh = %obj.getObjectMount();
			
			if(isObject(%veh) && %obj.getMountNode() == 0 && %veh.getDatablock().scriptedHorn)
			{
				%veh.getDatablock().horn(%veh, %val);
			}
		}
		
		return Parent::onTrigger(%db,%obj,%slot,%val);
	}
};
activatePackage(TeneksiDoorsPackage);