datablock fxLightData(CrownVicHeadLight)
{
	radius = 45;
	brightness = 4;
	color = "1 0.9 0.8 1";
	flareOn = false;
};

datablock ParticleData(CrownVicDamageLV1Particle)
{
	textureName          = "base/data/particles/cloud";
	dragCoefficient      = 0.1;
	gravityCoefficient   = -0.4;
	inheritedVelFactor   = 1;
	windCoefficient      = 0;
	constantAcceleration = 0;
	lifetimeMS           = 1000;
	lifetimeVarianceMS   = 300;
	spinSpeed     = 0;
	spinRandomMin = -200.0;
	spinRandomMax =  200.0;
	useInvAlpha   = true;

	colors[0]	= "1 1 1 0.0";
	colors[1]	= "1 1 1 0.15";
	colors[2]	= "1 1 1 0.0";

	sizes[0]	= 1.5;
	sizes[1]	= 2.0;
	sizes[2]	= 3.0;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(CrownVicDamageLV1Emitter)
{
	ejectionPeriodMS = 50;
	periodVarianceMS = 4;
	ejectionVelocity = 2;
	ejectionOffset   = 0.6;
	velocityVariance = 0.5;
	thetaMin         = 0;
	thetaMax         = 45;
	phiReferenceVel  = 0;
	phiVariance      = 360;
	overrideAdvance = false;

	particles = CrownVicDamageLV1Particle;   

	useEmitterColors = true;
};

datablock ParticleData(CrownVicDamageLV2Particle : CrownVicDamageLV1Particle)
{
	gravityCoefficient   = -0.2;
	dragCoefficient   = 0.3;
	lifetimeMS  = 3000;
	spinRandomMin = -30.0;
	spinRandomMax =  30.0;
	colors[0]	= "0.0 0.0 0.0 0";
	colors[1]	= "0.2 0.2 0.2 1";
	colors[2]	= "0.5 0.5 0.5 0";
};

datablock ParticleEmitterData(CrownVicDamageLV2Emitter : CrownVicDamageLV1Emitter)
{
	ejectionPeriodMS = 200;
	ejectionVelocity = 0;
	ejectionOffset = 1.6;
	particles = CrownVicDamageLV2Particle;
};

datablock ParticleData(CrownVicTireParticle)
{
  dragCoefficient = 99;
  gravityCoefficient = 0;
  inheritedVelFactor = 0;
  constantAcceleration = 0;
  lifetimeMS = 3000;
  lifetimeVarianceMS = 0;
  textureName = "base/data/particles/cloud";
  spinSpeed = 0;
  spinRandomMin = 0;
  spinRandomMax = 0;
  colors[0] = "0.1 0.1 0.1 0.1";
  colors[1] = "0.1 0.1 0.1 0";
  sizes[0] = 0.75;
  useInvAlpha = true;
};

datablock ParticleEmitterData(CrownVicTireEmitter)
{
  uiName = "";
  ejectionPeriodMS = 10;
  periodVarianceMS = 0;
  ejectionVelocity = 0;
  velocityVariance = 0;
  ejectionOffset = 0;
  thetaMin = 89;
  thetaMax = 90;
  phiReferenceVel = 0;
  phiVariance = 360;
  overrideAdvance = false;
  particles = "CrownVicTireParticle";
  useEmitterColors = true;
};


datablock DebrisData(CrownVicTireDebris : jeepTireDebris)
{
	shapeFile = "./shapes/CrownVicTire.dts";
};

datablock ExplosionData(CrownVicExplosion : vehicleExplosion)
{
	debris = CrownVicTireDebris;
	debrisNum = 4;
	debrisNumVariance = 0;
	debrisPhiMin = 0;
	debrisPhiMax = 360;
	debrisThetaMin = 40;
	debrisThetaMax = 85;
	debrisVelocity = 14;
	debrisVelocityVariance = 3;
};

datablock ProjectileData(CrownVicExplosionProjectile : vehicleExplosionProjectile)
{
	directDamage = 0;
	radiusDamage = 0;
	damageRadius = 0;
	explosion = CrownVicExplosion;

	directDamageType = $DamageType::VehicleExplosion;
	radiusDamageType = $DamageType::VehicleExplosion;

	explodeOnDeath = 1;

	armingDelay = 0;
	lifetime = 0;

	uiName = "";
};





datablock DebrisData(CrownVicDebris : jeepDebris)
{
	shapeFile = "./shapes/CrownVicWreckage.dts";
};

datablock ExplosionData(CrownVicFinalExplosion : vehicleFinalExplosion)
{
	debris = CrownVicDebris;
	debrisNum = 1;
	debrisNumVariance = 0;
	debrisPhiMin = 0;
	debrisPhiMax = 360;
	debrisThetaMin = 0;
	debrisThetaMax = 20;
	debrisVelocity = 18;
	debrisVelocityVariance = 3;
};

datablock ProjectileData(CrownVicFinalExplosionProjectile : vehicleFinalExplosionProjectile)
{
	directDamage = 0;
	radiusDamage = 0;
	damageRadius = 0;
	explosion = CrownVicFinalExplosion;

	directDamageType = $DamageType::VehicleExplosion;
	radiusDamageType = $DamageType::VehicleExplosion;

	explodeOnDeath = 1;

	armingDelay = 0;
	lifetime = 0;

	uiName = "";
};